This patch is partially included in below commit of upstream:
commit 377ba81f8995bda62b9e06150153cbf7c510880e
Author: Ken'ichi Ohmichi <oomichi@mxs.nes.nec.co.jp>
Date:   Fri Aug 19 17:25:52 2011 +0900

    [PATCH] Cleanup: Add print_info.h/.c for reducing makedumpfile.h/.c
    
    makedumpfile.c becomes big and the readability is not good.
    To reduce the code of makedumpfile.c/.h, this patch adds print_info.c.
    We need some other patches for the same purpose.
    
    Signed-off-by: Ken'ichi Ohmichi <oomichi@mxs.nes.nec.co.jp>
    ---


diff --git kexec-tools-2.0.0/makedumpfile-1.3.5/makedumpfile.c kexec-tools-2.0.0/makedumpfile-1.3.5/makedumpfile.c
index 8a90baa..8467fb9 100644
--- kexec-tools-2.0.0/makedumpfile-1.3.5/makedumpfile.c
+++ kexec-tools-2.0.0/makedumpfile-1.3.5/makedumpfile.c
@@ -694,6 +694,18 @@ print_usage(void)
 	MSG("      Rearrange the dump data in the flattened format from the standard input\n");
 	MSG("      to a readable DUMPFILE.\n");
 	MSG("\n");
+	MSG("  [--split]:\n");
+	MSG("      Split the dump data to multiple DUMPFILEs in parallel. If specifying DUMPFILEs\n");
+	MSG("      on different storage devices, a device can share I/O  load  with  other devices\n");
+	MSG("      and it reduces time for saving the dump data. The file size of each DUMPFILE is\n");
+	MSG("      smaller than the system memory size which is divided by the number of DUMPFILEs.\n");
+	MSG("      This feature supports only the kdump-compressed format.\n");
+	MSG("\n");
+	MSG("  [--reassemble]:\n");
+	MSG("      Reassemble multiple DUMPFILEs, which are created by --split option, into one\n");
+	MSG("      DUMPFILE. dumpfile1 and dumpfile2 are reassembled into dumpfile on the following\n");
+	MSG("      example.\n");
+	MSG("\n");
 	MSG("  [--xen-syms XEN-SYMS]:\n");
 	MSG("      Specify the XEN-SYMS to analyze Xen's memory usage.\n");
 	MSG("\n");
@@ -735,6 +747,13 @@ print_usage(void)
 	MSG("      of virtual address. If specifing the VIRTUAL_ADDRESS, its physical\n");
 	MSG("      address is printed.\n");
 	MSG("\n");
+	MSG("  [--dump-dmesg]:\n");
+	MSG("      This option overrides the normal behavior of makedumpfile. Instead of\n");
+	MSG("      compressing and filtering a VMCORE to make it smaller, it simply\n");
+	MSG("      extracts the dmesg log from a VMCORE and writes it to the specified\n");
+	MSG("      LOGFILE. If a VMCORE does not contain VMCOREINFO for dmesg, it is\n");
+	MSG("      necessary to specfiy [-x VMLINUX] or [-i VMCOREINFO].\n");
+	MSG("\n");
 	MSG("  [-D]:\n");
 	MSG("      Print debugging message.\n");
 	MSG("\n");
@@ -744,6 +763,10 @@ print_usage(void)
 	MSG("  [-h]:\n");
 	MSG("      Show help message.\n");
 	MSG("\n");
+	MSG("  [-b <order>]\n");
+	MSG("      cache 2^order pages in ram when generating vmcore info before writing to\n");
+	MSG("      output\n");
+	MSG("\n");
 	MSG("  [-v]:\n");
 	MSG("      Show the version of makedumpfile.\n");
 	MSG("\n");
